Bug 21290 - POD of ModItem mentions MARC for items
Summary: POD of ModItem mentions MARC for items
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Developer documentation (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: helene
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2018-08-30 12:28 UTC by Katrin Fischer
Modified: 2019-02-25 09:39 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21290: Removed obslete line from code (638 bytes, patch)
2019-01-16 01:38 UTC, helene
Details | Diff | Splinter Review
Bug 21290: Cool thanks (619 bytes, patch)
2019-01-16 23:14 UTC, helene
Details | Diff | Splinter Review
Bug 21290: Updating documentation for ModItem (779 bytes, patch)
2019-01-16 23:22 UTC, helene
Details | Diff | Splinter Review
Bug 21290: Updating documentation for ModItem (828 bytes, patch)
2019-01-17 12:22 UTC, David Nind
Details | Diff | Splinter Review
Bug 21290: Updating documentation for ModItem (883 bytes, patch)
2019-01-17 15:14 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2018-08-30 12:28:15 UTC
529 Change one or more columns in an item record and update
 530 the MARC representation of the item.

I think the POD of ModItem should be updated. We no longer store item information in MARC and haven't for a long time.
Comment 1 helene 2019-01-16 01:38:20 UTC
Created attachment 84035 [details] [review]
Bug 21290: Removed obslete line from code
Comment 2 Katrin Fischer 2019-01-16 21:23:39 UTC
Hi Helene,

I think we also need to delete the "and update" from the line above to have it make sense. Can you take another look please? Thx!
Comment 3 helene 2019-01-16 23:14:15 UTC
Created attachment 84105 [details] [review]
Bug 21290: Cool thanks
Comment 4 helene 2019-01-16 23:22:56 UTC
Created attachment 84106 [details] [review]
Bug 21290: Updating documentation for ModItem

To test:
Review the patch and check it is now updated correctly
Comment 5 David Nind 2019-01-17 12:22:25 UTC
Created attachment 84139 [details] [review]
Bug 21290: Updating documentation for ModItem

To test:
Review the patch and check it is now updated correctly

Signed-off-by: David Nind <david@davidnind.com>
Comment 6 Tomás Cohen Arazi 2019-01-17 15:14:12 UTC
Created attachment 84141 [details] [review]
Bug 21290: Updating documentation for ModItem

To test:
Review the patch and check it is now updated correctly

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 7 Nick Clemens 2019-01-28 16:10:04 UTC
Awesome work all!

Pushed to master for 19.05
Comment 8 Martin Renvoize 2019-02-01 14:37:11 UTC
Pushed to 18.11.x for 18.11.03
Comment 9 Jesse Maseto 2019-02-06 18:06:25 UTC
Pushed to 18.05.x for 18.05.09
Comment 10 Fridolin SOMERS 2019-02-12 15:32:14 UTC
Pushed to 17.11.x for 17.11.15